Package ru.bitel.bgbilling.kernel.event.events

# Class ContractObjectParameterUpdateEvent

java.lang.Object
ru.bitel.bgbilling.kernel.event.common.Event
ru.bitel.bgbilling.kernel.event.common.QueueEvent
ru.bitel.bgbilling.kernel.event.events.ContractObjectParameterUpdateEvent

All Implemented Interfaces:
  `java.io.Serializable`

    public class ContractObjectParameterUpdateEvent
    extends ru.bitel.bgbilling.kernel.event.common.QueueEvent

Асинхронное событие - изменен параметр объекта договора.
Вызывается после изменения параметра объекта договора.
Унаследован от `QueueEvent`

See Also:
  Serialized Form

- ## Field Summary

  ### Fields inherited from class ru.bitel.bgbilling.kernel.event.common.Event

  `CONTRACT_GLOBAL, NO_MODULE, NO_PLUGIN`

- ## Constructor Summary

  Constructors
  Modifier | Constructor | Description
  --- | --- | ---
  `protected` | `ContractObjectParameterUpdateEvent()` |
  `` | `ContractObjectParameterUpdateEvent​(int userId, int cid, ParamValue value)` | Конструктор события.

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `ParamValue` | `getValue()` | Возвращается новое значение параметра объекта договора.

  ### Methods inherited from class ru.bitel.bgbilling.kernel.event.common.Event

  `getContractId, getDestination, getGenerateTime, getMessageID, getModuleId, getPluginId, getSuperContractId, getTime, getTimestamp, getTypeId, getUserId, isLogFunctionProcess, prepareMessage, serializeAsObject, setLogFunctionProcess, setMessageID, toString, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ContractObjectParameterUpdateEvent

    protected ContractObjectParameterUpdateEvent()

  - ### ContractObjectParameterUpdateEvent

    public ContractObjectParameterUpdateEvent​(int userId, int cid, ParamValue value)
    Конструктор события.
    Parameters:
      `userId` - - id пользователя, сгенерировавшего событие
      `cid` - код договора
      `value` - новое значение параметра

- ## Method Details

  - ### getValue

    public ParamValue getValue()
    Возвращается новое значение параметра объекта договора.
    Returns:
      value - новое значение